%global __requires_exclude ^perl\\(URI\\)$

Summary:        Database of robots.txt-derived permissions
Name:           perl-WWW-RobotRules
Version:        6.02
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/WWW-RobotRules
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/WWW-RobotRules-%{version}.tar.gz

BuildRequires:  make coreutils perl-interpreter perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(Carp)
BuildRequires:  perl(strict) perl(:VERSION) >= 5.8.1 perl(vars)
BuildRequires:  perl(AnyDBM_File) perl(Fcntl) perl(URI) >= 1.10
Requires:       perl(URI) >= 1.10

BuildArch:      noarch

%description
This module parses /robots.txt files as specified in "A Standard for Robot 
Exclusion", at <http://www.robotstxt.org/wc/norobots.html> Webmasters can 
use the /robots.txt file to forbid conforming robots from accessing parts 
of their web site.


%prep
%autosetup -n WWW-RobotRules-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc README Changes
%{perl_vendorlib}/WWW
%{_mandir}/man3/*.3pm.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.02-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.02-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.02-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.02-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.02-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.02-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug  2 2022 doriscchao <doriscchao@tencent.com> - 6.02-1
- initial build, Version 6.02, Release 1

